# react-instantsearch-hooks-server

> 🚧 This version is not yet production-ready.

React InstantSearch Hooks is an open-source, **experimental UI library** for React that lets you server-side render a search interface.

Server-side rendering (SSR) lets you generate HTML from InstantSearch components on the server. React InstantSearch Hooks is compatible with server-side rendering. The library provides an API that works with any SSR solution.

## Installation

React InstantSearch Hooks Server is available on the npm registry.

```sh
yarn add react-instantsearch-hooks-server
# or
npm install react-instantsearch-hooks-server
```

## Getting started

React InstantSearch Hooks is compatible with server-side rendering. The library provides an API that works with any SSR solution. You can, for example, use it with an [express](https://expressjs.com/) server or with [Next.js](https://nextjs.org/).

Check out our [**Server-side rendering guide**](https://algolia.com/doc/guides/building-search-ui/going-further/server-side-rendering/react-hooks/) to start rendering your React InstantSearch Hooks app on the server.

## API reference

- [`getServerState()`](https://algolia.com/doc/api-reference/widgets/server-state/react-hooks/)
- [`<InstantSearchSSRProvider>`](https://algolia.com/doc/api-reference/widgets/ssr-provider/react-hooks/)

## Documentation

The full documentation is available on [algolia.com/doc](https://algolia.com/doc/guides/building-search-ui/what-is-instantsearch/react-hooks/).

## Troubleshooting

React InstantSearch Hooks is an experimental library, and might contain bugs. If you're experiencing issues, please refer to the [**Need help?**](https://algolia.com/doc/guides/building-search-ui/what-is-instantsearch/react-hooks/#need-help) section of the docs, or [open a new issue](https://github.com/algolia/react-instantsearch/issues/new?template=Bug_report_Hooks.md&labels=Scope%3A%20Hooks).

## Contributing

We welcome all contributors, from casual to regular. You are only one command away to start the developer environment, [read our CONTRIBUTING guide](https://github.com/algolia/react-instantsearch/blob/master/CONTRIBUTING.md).

## License

React InstantSearch Hooks is [MIT licensed](../../LICENSE).
